﻿Option Strict On

Imports System.Xml.Linq
Imports System.Collections.ObjectModel

Public Class pieProductInfo
    Property 品名 As String
    Property 小計 As Double
End Class
Partial Public Class PieChartPage
    Inherits PhoneApplicationPage



    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub
    Dim myPieProductInfo As New ObservableCollection(Of pieProductInfo)

    Protected Overrides Sub OnNavigatedTo(e As System.Windows.Navigation.NavigationEventArgs)
        Dim myParam As IDictionary(Of String, String) = NavigationContext.QueryString
        Dim xmldoc As XElement = XElement.Load(myParam("menu"))



        For Each result In From c In xmldoc.Descendants("情報") Select c

            With myPieProductInfo
                .Add(New pieProductInfo With {.品名 = result.Element("品名").Value, _
                                          .小計 = CType(result.Element("小計").Value, Integer)})

            End With
        Next
        PieChart1.DataContext = Me
        MyBase.OnNavigatedTo(e)
    End Sub
 
    Public ReadOnly Property Data() As ObservableCollection(Of pieProductInfo)
        Get
            Return myPieProductInfo
        End Get
    End Property

    Private Sub PieChartButton_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles PieChartButton.Click
        NavigationService.Navigate(New Uri("/MainPage.xaml", UriKind.Relative))
    End Sub

End Class
