﻿Option Strict On
Imports System.Xml.Linq

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub

    Dim xmldoc As XElement
    Private Sub MainPage_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        xmldoc = XElement.Load("menu.xml")
        Dim menuList As New List(Of String)
        For Each result In From c In xmldoc.Descendants("分類") Select c
            menuList.Add(result.Attribute("項目").Value)
        Next
        ListBox1.ItemsSource = menuList
    End Sub

    Private Sub ListBox1_SelectionChanged(sender As Object, e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        Try
            Dim myMenu As String = xmldoc.Descendants("分類")(ListBox1.SelectedIndex).Value

            NavigationService.Navigate(New Uri(String.Format("/Chart.xaml?menu={0}", myMenu), UriKind.Relative))
        Catch
            Exit Sub
        End Try
    End Sub
End Class
